#include <iostream>
#include "SceneGraphRoot.h"
#include "ball_action.h"
using namespace std;

void
back_move(SceneGraphPtr node, void *sgroot_, int w, int h)
{
    SceneGraphRoot *sgroot = (SceneGraphRoot *)sgroot_;
    Pad *pad = sgroot->getController();

    if (pad->triangle.isPush()) {
	SceneGraphPtr ball = sgroot->createSceneGraph("Ball");
	ball->xyz[0] = -100;
	ball->set_move_collision(ball_move, ball_coll);
	node->addChild(ball);
    }
}

void
back_coll(SceneGraphPtr node, void *sgroot_, int w, int h, SceneGraphPtr tree)
{
    
}
